dbXML API

## com.dbxml.db.core.query.plan.logical
Class FloatValue

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.Value
                  com.dbxml.db.core.query.plan.logical.FloatValue

public final class FloatValue
extends Value

FloatValue

Constructor Summary
`FloatValue(double value)`
`FloatValue(float value)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`double` `getValue()`

Methods inherited from class com.dbxml.db.core.query.plan.logical.Value
`newBooleanValue, newDateValue, newFloatValue, newFloatValue, newIntValue, newIntValue, newIntValue, newIntValue, newIntValue, newStringValue, newStringValue, newValueSet, newValueSet`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatValue

    public FloatValue(double value)

### FloatValue

    public FloatValue(float value)

Method Detail

### getValue

    public double getValue()

### equals

    public boolean equals(java.lang.Object obj)

dbXML API

Copyright (c) 2004 The dbXML Group